<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:layout_height="320dp">

    <androidx.core.widget.NestedScrollView
        android:id="@+id/sv_content"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/btn_copy_link"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_content"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingBottom="60dp">

            <com.adealink.frame.image.view.NetworkImageView
                android:id="@+id/iv_qr_code"
                android:layout_width="168dp"
                android:layout_height="168dp"
                android:layout_marginTop="20dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <com.adealink.weparty.module.playmate.widget.PriceView
                android:id="@+id/v_price"
                style="@style/CommonPriceView"
                android:layout_marginTop="12dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/iv_qr_code"
                app:price_text_size="24"
                app:unit_text_size="14" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.core.widget.NestedScrollView>

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/btn_save_image"
        android:layout_width="0dp"
        android:layout_height="48dp"
        android:background="@drawable/share_qr_code_save_img_bg"
        android:fontFamily="@font/poppins_semibold"
        android:gravity="center"
        android:includeFontPadding="false"
        android:text="@string/share_save_image"
        android:textColor="@color/color_FF4E5969"
        android:textSize="16sp"
        app:layout_constraintBottom_toBottomOf="@id/btn_copy_link"
        app:layout_constraintEnd_toStartOf="@id/btn_copy_link"
        app:layout_constraintHorizontal_weight="144"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/btn_copy_link" />

    <com.adealink.weparty.commonui.widget.CommonButton
        android:id="@+id/btn_copy_link"
        android:layout_width="0dp"
        android:layout_height="48dp"
        android:layout_marginStart="10dp"
        app:text="@string/share_copy_link"
        app:textColor="@color/white"
        app:textSize="16sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_weight="188"
        app:layout_constraintStart_toEndOf="@id/btn_save_image" />

</androidx.constraintlayout.widget.ConstraintLayout>